package com.dev.swms.server.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class test {
	public static void main(String[] args) throws ParseException {
	
		        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd"); // 日期格式
		        Date date = dateFormat.parse("2020-5-15"); // 指定日期
		        Date newDate = addDate(date, -60); // 指定日期加上20天  
		        System.out.println(dateFormat.format(date));// 输出格式化后的日期
		        System.out.println(dateFormat.format(newDate));
		    
	}
	
	public static Date addDate(Date date,long day) {
        long time = date.getTime(); // 得到指定日期的毫秒数
        day = day*24*60*60*1000; // 要加上的天数转换成毫秒数
        time+=day; // 相加得到新的毫秒数
        return new Date(time); // 将毫秒数转换成日期
    }
}
